Subject: Re: bug#70686: 30.0.50; cl--position is slow

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 May 2024 14:59:47 +0300

> From: No Wayman <[email-masked]>
> Date: Tue, 30 Apr 2024 19:51:23 -0400
> 
> 
> I've recently been avoiding cl-position, cl-remove-duplicates, and any other functions which use it internally. I realize there's a performance trade-off in for the flexibility such functions provide, but it may be worth investigating cl--position in particular. Today I replaced an instance of cl-remove-duplicates with an equivalent cl-loop for a 15x performance improvement at the cost of 2 lines of code.

Not sure why is this a bug report.  If cl-position is too slow for
your application, you can always use something else, something that is
less generic and more tailored to your specific sequence type(s), no?